Bug 244820 - Examples 5.7 and 5.9 in Xorg configuration section of handbook don't use libinput as keyboard driver name
Summary: Examples 5.7 and 5.9 in Xorg configuration section of handbook don't use libi...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-doc (Nobody)
URL: https://www.freebsd.org/doc/en_US.ISO...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-15 04:38 UTC by PauAmma
Modified: 2020-08-13 16:48 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PauAmma freebsd_triage 2020-03-15 04:38:16 UTC
Following the switch to libinput in Xorg server 1.20, examples 5.7 and 5.9 need to use "libinput" instead of "keyboard" as the driver name.

(Note: this may be applicable to 12.x and 13 only, in which case the examples would need to be split, not just changed.)
Comment 1 Felix Palmen 2020-03-20 12:33:56 UTC
Just omitting "Driver" entirely works as well, at least with the newer (udev) version, didn't test the older one.
Comment 2 commit-hook freebsd_committer 2020-08-11 18:31:11 UTC
A commit references this bug:

Author: carlavilla
Date: Tue Aug 11 18:31:09 UTC 2020
New revision: 54421
URL: https://svnweb.freebsd.org/changeset/doc/54421

Log:
  Track switch to libinput in xorg-server 1.20.8

  Remove the Driver line from examples 5.7 and 5.9, thus making them
  valid for both variant configurations of X (with or without libinput).

  For 12.1 and xorg-server 1.20.8, add "Set kern.evdev.rcpt_mask=6 in
  /etc/sysctl.conf if not using moused" important paragraph to section
  "5.4.7.2. Mice and Pointing Devices".

  PR:		244820
  Submitted by:	pauamma
  Reviewed by:	zeising@
  Approved by:	bcr@
  Differential Revision:	https://reviews.freebsd.org/D25641

Changes:
  head/en_US.ISO8859-1/books/handbook/x11/chapter.xml